# SetStat (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stats.data
Class SetStat<T>

    java.lang.Object
      com.threerings.stats.data.Stat
          com.threerings.stats.data.SetStat<T>

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.dobj.DSet.Entry, Cloneable

Direct Known Subclasses:
  IntSetStat, StringSetStat

    public abstract class SetStat<T>

extends Stat

Nested Class Summary

Nested classes/interfaces inherited from class com.threerings.stats.data.Stat
`Stat.AuxDataSource, Stat.Type`

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Constructor Summary
`SetStat()`

Method Summary
`abstract boolean` `add(T key)` Adds the specified object to this set.
`abstract boolean` `contains(T key)` Returns true if the specified object is contained in this set.
`abstract int` `size()` Returns the number of elements in this set.

Methods inherited from class com.threerings.stats.data.Stat
`clone, getCode, getKey, getModCount, getType, getType, initType, isModified, persistTo, setModCount, setModified, toString, unpersistFrom, valueToString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetStat

    public SetStat()

Method Detail

### size

    public abstract int size()

  Returns the number of elements in this set.

### add

    public abstract boolean add(T key)

  Adds the specified object to this set.

  Returns:
    true if the object was newly added, false if it was already contained in the set.

### contains

    public abstract boolean contains(T key)

  Returns true if the specified object is contained in this set.

Copyright © 2011. All Rights Reserved.